function [pop]=initalize_pop(def,prob)
pop.x=zeros(def.active_pop, prob.nx);
pop.f = zeros(def.active_pop, def.nf);
pop.g=zeros(def.active_pop,prob.ng);
pop.constseq=1:prob.ng;
pop.subsequence=[];
pop.feas=[];
pop.feasible=zeros(def.active_pop, 1);%feasible indicator
pop.sp={};
pop.rank=1:def.active_pop;
pop.CR=[];
pop.F=[];
pop.subpop=zeros(def.active_pop, 1);
%random number generator
% set random number state
if def.seed == 0
    def.seed = round(rand(1)*2^32);
end
rand('twister', def.seed);
% initialize the solution vector
for i=1:def.active_pop
    for j=1:prob.nx
        pop.x(i,j)=sample(prob.range{j});
    end

    pop.CR(i)=rand;
    pop.F(i)=rand;
end
return

