function constraints3dT2()
[X,Y]=meshgrid(-1:0.01:1.5,-1:0.01:0.05);

[z1]=arrayfun(@C1,X,Y);
% surfc(X,Y,z1); hold on;
[z2]=arrayfun(@C2,X,Y);
% surfc(X,Y,z2); hold on;
[z3]=arrayfun(@C3,X,Y);
z1(z1>=0)=0;
z2(z2>=0)=0;
z3(z3>=0)=0;
Z=z1+z2+z3;
contour(X,Y,Z); hold on;

[f]=arrayfun(@F,X,Y);
contour(X,Y,f); hold on;
grid on;

function [z1]=C1(X,Y)
c=0.2;
A=1;
f=0.5;
phi=0; % [0-0.80]+ve,[0.81-1.57](-ve) ,corr(g1,g2)=1 and (g1,g3)=0.2 0r (g2,g3)=0.2
z1=-(A*cos(2*pi*f*X^3-pi/2+phi)^2-Y-c);
return
function [z2]=C2(X,Y)
c=0.2;
A=0.5;
f=0.5;
phi=0.8; 
z2=-(A*cos(2*pi*f*X^3-pi/2+phi)^2-Y-c);
return
function [z3]=C3(X,Y)
c=0.2;
A=0.5;
f=0.5;
phi=0.5; 
z3=-(A*cos(2*pi*f(1)*X^3-pi/2+phi(1))^2-Y-c);
return
function [f]=F(X,Y)
x=[X Y];
x_loc=1.433722480640840;
y_loc=0.2;

% f=(x(1)^2+x(2)^2)/4000-cos(20*x(1))*cos(20*x(2)/sqrt(2))+0.5;
% f=sin(2*pi*0.5*(X-x_loc)^2+(Y)^2-pi/2+5);
f=10*2+(x(1)^2-10*cos(3*pi*x(1)))+(x(2)^2-20*cos(3*pi*x(2)));
return