function [f,g,x] = g12(x,constseq,stage)
if nargin == 0
    prob.nx = 3;
    prob.nf = 1;
    prob.ng = 1;
    prob.range = cell(1, prob.nx);
    for i = 1:prob.nx
        prob.range{i} = Range('range', [0,10]);
    end
    f = prob;
else
    [f,g] = g12_true(double(x),constseq,stage);
end
return


function [f,g] = g12_true(x,constseq,stage)
sum=0;
flag=0;

for c=1:size(constseq,2)
    switch constseq(c)
        case 1       
            for i = 1:9
                for j = 1:9
                    for k = 1:9
                        gg = 0.0625 - ((x(1)-i)^2 + (x(2)-j)^2 + (x(3)-k)^2);
                        if(gg>=0)
                            flag=1;
                            g(1)=0;
                            break;
                        end
                        sum=sum+gg*-1;
                    end
                    %         if flag ==1
                    %             break
                    %         end
                end
                %         if flag ==1
                %             break
                %         end
            end
            if (flag==1)
                g(1)=0;
            else
                g(1)=-sum;
            end
    end
     if(~strcmp(stage,'init') && (g(constseq(c)))>0 && c~=size(constseq,2))
        for j=(c+1):size(constseq,2)
            g(constseq(j))=inf;
        end
        break
    end
end
if(max(g,0)==0==size(g,2))
    f = -(100 - (x(1)-5)^2 - (x(2)-5)^2 - (x(3)-5)^2) / 100;
else
    f=NaN;
end
return
