function [f,g,x] = g14(x,constseq,stage)
if nargin == 0
    prob.nx = 10;
    prob.nf = 1;
    prob.ng = 3;
    prob.range = cell(1, prob.nx);
    for i = 1:prob.nx
        prob.range{i} = Range('range', [0,10]);
    end
    f = prob;
else
    [f,g] = g14_true(double(x),constseq,stage);
end
return


function [f,g] = g14_true(x,constseq,stage)
eps = 1.e-5;f=0;
c=[-6.089 -17.164 -34.054 -5.914 -24.721 -14.986 -24.1 -10.708 -26.662 -22.179];
for i=1:size(constseq,2)
    switch constseq(i)
        case 1
            tmp1 = x(1)+2*x(2)+2*x(3)+x(6)+x(10)-2;
            g(1) = abs(tmp1)-eps;
        case 2
            tmp2 = x(4)+2*x(5)+x(6)+x(7)-1;
            g(2) = abs(tmp2)-eps;
        case 3
            tmp3 = x(3)+x(7)+x(8)+2*x(9)+x(10)-1;
            g(3) = abs(tmp3)-eps;
    end
    if(~strcmp(stage,'init') && (g(constseq(i)))>0)
        for j=(i+1):size(constseq,2)
            g(constseq(j))=inf;
        end
        break
    end
end
if(sum(max(g,0)==0)==size(g,2))
for i=1:10
     f=f+x(i)*(c(i)+log(x(i)/sum(x)));
end
else
    f=NaN;
end

return
