function [f,g,x] = g6(x,constseq,stage)
if nargin == 0
    prob.nx = 2;
    prob.nf = 1;
    prob.ng = 2;
    prob.range = {Range('range', [13,1000]), Range('range', [0,100])};
    f = prob;
else
    [f,g] = g6_true(double(x),constseq,stage);
end
return


function [f,g] = g6_true(x,constseq,stage)

for i=1:size(constseq,2)
    switch constseq(i)
        case 1
            g(1) =- ((x(1)-5)^2 + (x(2)-5)^2 - 100);
        case 2
            g(2) = -(-(x(1)-6)^2 - (x(2)-5)^2 + 82.81);
    end
     if(~strcmp(stage,'init') && (g(constseq(i)))>0)
        for j=(i+1):size(constseq,2)
            g(constseq(j))=inf;
        end
        break
    end
end
%Place the objective function in below
if(sum(max(g,0)==0)==size(g,2))
   f = (x(1)-10)^3 + (x(2)-20)^3;
else
    f=NaN;
end
return
