function [f,g,x] = g8(x,constseq,stage)
if nargin == 0
    prob.nx = 2;
    prob.nf = 1;
    prob.ng = 2;
    prob.range = {Range('range', [0,10]), Range('range', [0,10])};
    f = prob;
else
    [f,g] = g8_true(double(x),constseq,stage);
end
return


function [f,g] = g8_true(x,constseq,stage)

for i=1:size(constseq,2)
    switch constseq(i)
        case 1
            g(1) = -(-x(1)^2 + x(2) - 1);
        case 2
            g(2) = -(-1 + x(1) - (x(2)-4)^2);
    end
    if(~strcmp(stage,'init') && (g(constseq(i)))>0)
        for j=(i+1):size(constseq,2)
            g(constseq(j))=inf;
        end
        break
    end
end
if(sum(max(g,0)==0)==size(g,2))
 f = - sin(2*pi*x(1))^3 * sin(2*pi*x(2)) / (x(1)^3 * (x(1)+x(2)));
else
    f=NaN;
end
return
