function multirun_DE_SBCH
addpath('I:\DEACS_UPDATEDv1');
addpath('I:\DEACS_UPDATEDv1\prob-g');
nruns=25;
opt=[-15,-0.803619,-30665.538671,-6961.813876,24.306209,-0.095825,680.630057,7049.248021,-1,-0.866025,-5.508013];
pb=[1 2 4 6 7 8 9 10 12 18 24];
for j=1:11
    prob=strcat('g',num2str(pb(j)));
    for i = 1:1:1
        % EA parameters to be set
        def = struct('pop_size',[],'Gen',[],'Cr',[],'F',[],'problem_name',[]);
        %initialization
        def.archive=100;
        def.active_pop=50;
        %number of objective
        def.nf=1;
        %number of generation
        def.Gen=200;
        %crossover rate
        def.Cr=0.98;
        %mutation rate
        def.F=0.5;
        %seed
        def.seed=100+i*10;
        %eta
        def.eta=20;
        def.strategy=2; % 1 for CV based , 2 for CS based 
        % (1) Problem name (3) definition to solve it
        fprintf('Current: run-%d\n',i);
        dir_name1 = sprintf('run%d',i);
        mkdir(dir_name1);
        cd(dir_name1);
        tic;
        [pop]=DE_MS(prob,def,opt(j)); % Change the problem name here, and the algo if needed
        T(j)=toc;
        cd ..
    end
end
cd ..
return

