
function [pop]=BuildPopulation(pop)
ng=size(pop.g(1,:),2);
seqsize=size(pop.constseq,2);
if(seqsize~=0)
    pop.subsequence=zeros(seqsize);
    for i=1:seqsize
        %generate the sequnece of constraints
        seq=pop.constseq(i:seqsize);
        if(i>1)
            seq=[seq pop.constseq(1:i-1)];
            pop.subsequence(i,:)=seq; % for different constraint sequance
%              pop.subsequence(i,:)=pop.constseq; % for the same constraint sequence
        else
            pop.subsequence(i,:)=seq; % for different constraint sequance
%              pop.subsequence(i,:)=pop.constseq; % for the same constraint sequence
        end
    end
end
%build the subpopulation feasible to infeasible
j=1;
for i=1:size(pop.x,1)
    if(sum(pop.g(i,:)==0)==ng)
        if(j==1)
            pop.feas=i;
        else
            pop.feas=[pop.feas i];
        end
        pop.feasible(i)=1;
        j=j+1;
    end
end
subrank=setdiff(pop.rank,pop.feas);
if(ng~=0)
    subsize=floor(size(subrank,2)/ng);
    start=1;last=subsize;
    for i=1:ng
        if(i==ng)
            pop.sp{i}=subrank(start:size(subrank,2));
            pop.subpop(pop.sp{i})=i; % assign the subpopulation tags
        else
            pop.sp{i}=subrank(start:last);
            pop.subpop(pop.sp{i})=i; % assign the subpopulation tags
            start=start+subsize;
            last=last+subsize;
        end
    end
    pop.rank=[pop.feas pop.sp{1:ng}];
else
    pop.rank=pop.feas;
end

return