function [pop]=FindConstraintSequence(pop)
HardnessRank=[];
pop.rank=1:size(pop.x,1);
ng=size(pop.g,2); % number of constraints
if(ng~=0)
    IndividualRank=zeros(size(pop.x,1),ng);
    for i=1:size(pop.x,1)
    % find the maximum to minimum order of the constriants for each individuals
        [val,IndividualRank(i,:)]=sort(pop.g(i,:),'descend'); 
    end
    found=zeros(ng,1);
    for i=1:ng
        for j=1:ng
        %count how many times the constraints appear from first to last column 
            found(i,j)=sum(IndividualRank(:,i)==j);
        end
    end
    flag=1;iterate=1;
    %define a univesal set for the constraints
    UniversalSet=1:ng;
    while(size(HardnessRank,2)~=ng)
        %Each row of found contain the number of appearence of the
        %constraint serially g1,g2....gn in first column then seceond column and so on 
        element=found(iterate,UniversalSet);
        [v,ind]=sort(element,'descend');
        
        set=ind(element(ind)>0);
        if(flag==1)
            HardnessRank=set;
        else
            HardnessRank=[HardnessRank UniversalSet(set)];
        end
        UniversalSet=setdiff(UniversalSet,HardnessRank);
        flag=flag+1;iterate=iterate+1;
    end
end
pop.constseq=HardnessRank;
return