function [rank]=SequenceSort(f,g,id,type)
j=1;l=1;Infeas=[];feasible=[];
for i=1:size(id,2)
    if(sum(g(id(i),:)==0)==size(g(id(i),:),2))
        feasible(l)=id(i);
        l=l+1;
    else
        Infeas(j)=id(i);
        j=j+1;
    end
end

if(~isempty(feasible))
    if(size(f,2)==1)
        [V,I]=sort(f(feasible)); % for single objective
        feasible=feasible(I);
    else
        if(size(feasible,2)>1)
            ranks = [];
            F= nd_sort_c(feasible',f(feasible',:));
            for front = 1 : length(F)
                [r1, d1] = sort_crowding(f, F(front).f);
                ranks = [ranks; r1];
            end
            feasible=ranks';
        end
    end
end
if(~isempty(Infeas))
    if(type==1)
        if(size(g,2)==1)
            vec=g(Infeas,:);
        else
            vec=sum(g(Infeas,:).^2')';
        end
        [V,I]=sort(vec);
        Infeas=Infeas(I);
    else
        vec=g(Infeas,:);
        for i=1:size(vec,2)
            if(min(vec(:,i))~=Inf)
                [V,I]=sort(vec(:,i)); % for single objective
                vec=vec(I,:);
                Infeas=Infeas(I);
            end
        end
    end
end
rank=[feasible Infeas];
return

function [F] = nd_sort_c(feasible, f_all)
[frontS, frontS_n] = ind_sort2(feasible', f_all');
F = [];
for i = 1:length(feasible)
    count = frontS_n(i);
    if count > 0
        tmp = frontS(1:count, i) + 1;
        F(i).f = feasible(tmp)';
    end
end
return