function savestat(gen,pop,beststat,flag,def,prob)
alldata=[];
bestdata=[];
%statistics for all data
if(~isempty(pop.feas))
    id=pop.feas;
    for i=1:size(id,2)
        alldata=[alldata; gen pop.subpop(id(i)) pop.feasible(id(i)) pop.g(id(i),:) pop.x(id(i),:) pop.f(id(i),:)];
    end
end
for j=1:size(pop.sp,2)
    if(~isempty(pop.sp{j}))
        id=pop.sp{j};
        for i=1:size(id,2)
        alldata=[alldata; gen pop.subpop(id(i)) pop.feasible(id(i)) pop.g(id(i),:) pop.x(id(i),:) pop.f(id(i),:)];
        end
    end
end
%statistics for best data
bestdata=[bestdata;gen beststat.FE beststat.GFE beststat.subpop beststat.g beststat.x beststat.f beststat.CR beststat.F ];
if(strcmp(flag,'initial')==1)
     dlmwrite(strcat(def.problem_name{1},'_DEACS_initial','.dat'),alldata,'delimiter', ' ');
     dlmwrite(strcat(def.problem_name{1},'_DEACS_all','.dat'),alldata,'delimiter', ' ');
     dlmwrite(strcat(def.problem_name{1},'_DEACS_best','.dat'),bestdata,'delimiter', ' ');
%save the data
elseif(strcmp(flag,'final')==1)
    dlmwrite(strcat(def.problem_name{1},'_DEACS_final','.dat'),alldata,'delimiter', ' ');  
else 
  dlmwrite(strcat(def.problem_name{1},'_DEACS_all','.dat'),alldata,'-append','delimiter', ' ');
  dlmwrite(strcat(def.problem_name{1},'_DEACS_best','.dat'),bestdata,'-append','delimiter', ' ');
end

return