function [pop,archive,beststat]=selection(beststat,subseq,pop,archive,i,childpop,def,subpop,Th,prob)

if(def.strategy==1)
    index=find(childpop.g(1,:)>0);
    %use gradient to update
    if(rand<0.05 && (sum(childpop.g)~=0))
        for i=1:prob.nx
            x=childpop.x(1,i);
            childpop.x(1,i)=childpop.x(1,i)+10^(-10);
            [obj,C(1,:)]=evaluate(childpop.x(1,:),def,subseq,'init');
            C(1,:)=C(1,subseq);
            childpop.x(1,i)=x;
            nabla(i,:)=(C(1,index)-childpop.g(1,index))*10^(10);
        end
        dx=pinv(nabla)'*childpop.g(1,index)';
        childpop.x(1,:)=childpop.x(1,:)-dx';
        childpop.x(1,:)=keeprange(childpop.x(1,:),prob);
        [childpop.f(1,:),childpop.g(1,:)]=evaluate(childpop.x(1,:),def,subseq,'init');
        childpop.g(1,:)=childpop.g(1,subseq);
    end
end
%compute FE
childpop.f(2,:)=pop.f(i,:);
childpop.g(2,:)=pop.g(i,:);
childpop.x(2,:)=pop.x(i,:);
idc=[1 2];
if((sum(childpop.g(1,:))<Th&&sum(childpop.g(2,:))<Th) || (sum(childpop.g(1,:))==sum(childpop.g(2,:))) && def.strategy==1)
    g=childpop.g;
%     g(g>0)=0;
else
    g=childpop.g;
end
[rank]=SequenceSort(childpop.f,g,idc,def.strategy);
if(rank(1)==1)
    pop.f(i,:)=childpop.f(rank(1),:);
    pop.g(i,:)=childpop.g(rank(1),:);
    pop.x(i,:)=childpop.x(rank(1),:);
    beststat.CR=pop.CR(i);
    beststat.F=pop.F(i);
    beststat.subpop=subpop;
else
    r1=randi(def.archive);
    archive.f(r1,:)=childpop.f(rank(1),:);
    archive.g(r1,:)=childpop.g(rank(1),:);
    archive.x(r1,:)=childpop.x(rank(1),:);
    
%     pop.CR(i)=1;
%     pop.F(i)=normrnd(0.7,0.1);
    pop.CR(i)=0.98;
    pop.F(i)=rand;
    beststat.CR=pop.CR(i);
    beststat.F=pop.F(i);
end
%Tapped the best value achieved so far
[beststat.f,beststat.g,beststat.x]=updatebest(beststat,childpop,def);

return