function [f,g,x] = g18(x,constseq,stage)
if nargin == 0
    prob.nx = 9;
    prob.nf = 1;
    prob.ng = 13;
    prob.range{1} = Range('range', [-10,10]);
    prob.range{2} = Range('range', [-10,10]);
    prob.range{3} = Range('range', [-10,10]);
    prob.range{4} = Range('range', [-10,10]);
    prob.range{5} = Range('range', [-10,10]);
    prob.range{6} = Range('range', [-10,10]);
    prob.range{7} = Range('range', [-10,10]);
    prob.range{8} = Range('range', [-10,10]);
    prob.range{9}= Range('range', [0,20]);
    f = prob;
else
    [f,g] = g18_true(double(x),constseq,stage);
end
return

function [f,g] = g18_true(x,constseq,stage)

for i=1:size(constseq,2)
    switch constseq(i)
        case 1
           g(1)=x(3)^2+x(4)^2-1;
        case 2
            g(2)=x(9)^2-1;
        case 3
            g(3)=x(5)^2+x(6)^2-1;
        case 4
            g(4)=x(1)^2+(x(2)-x(9))^2-1;
        case 5
            g(5)=(x(1)-x(5))^2+(x(2)-x(6))^2-1;
        case 6
            g(6)=(x(1)-x(7))^2+(x(2)-x(8))^2-1;
        case 7
            g(7)=(x(3)-x(5))^2+(x(4)-x(6))^2-1;
        case 8
            g(8)=(x(3)-x(7))^2+(x(4)-x(8))^2-1;
        case 9
            g(9)=x(7)^2+(x(8)-x(9))^2-1;
        case 10
            g(10)=x(2)*x(3)-x(1)*x(4);
        case 11
            g(11)=-x(3)*x(9);
        case 12
            g(12)=x(5)*x(9);
        case 13
            g(13)=x(6)*x(7)-x(5)*x(8);
    end
     if(~strcmp(stage,'init') && (g(constseq(i)))>0)
        for j=(i+1):size(constseq,2)
            g(constseq(j))=inf;
        end
        break
    end
end
%Place the objective function in below
if(sum(max(g,0)==0)==size(g,2))
   f = -0.5*(x(1)*x(4)-x(2)*x(3)+x(3)*x(9)-x(5)*x(9)+x(5)*x(8)-x(6)*x(7));
else
    f=NaN;
end
return