function [f,g,x] = g24(x,constseq,stage)
if nargin == 0
    prob.nx = 2;
    prob.nf = 1;
    prob.ng = 2;
    prob.range{1} = Range('range', [0,3]);
    prob.range{2} = Range('range', [0,4]);
    f = prob;
else
    [f,g] = g24_true(double(x),constseq,stage);
end
return

function [f,g] = g24_true(x,constseq,stage)

for i=1:size(constseq,2)
    switch constseq(i)
        case 1
           g(1)=-2*x(1)^4+8*x(1)^3-8*x(1)^2+x(2)-2;
        case 2
           g(2)=-4*x(1)^4+32*x(1)^3-88*x(1)^2+96*x(1)+x(2)-36;
    end
     if(~strcmp(stage,'init') && (g(constseq(i)))>0)
        for j=(i+1):size(constseq,2)
            g(constseq(j))=inf;
        end
        break
    end
end
%Place the objective function in below
if(sum(max(g,0)==0)==size(g,2))
   f =-x(1)-x(2);
else
    f=NaN;
end
return