function [f,g,x] = g3(x,constseq,stage)
if nargin == 0
    prob.nx = 10;
    prob.nf = 1;
    prob.ng = 1;
    prob.range = cell(1, prob.nx);
    for i = 1:prob.nx
        prob.range{i} = Range('range', [0,1]);
    end
    f = prob;
else
    [f,g] = g3_true(double(x),constseq,stage);
end
return


function [f,g] = g3_true(x,constseq,stage)

eps = 1.e-5;
for i=1:size(constseq,2)
    switch constseq(i)
        case 1
            g(1) = abs(sum(x.^2-1))-eps;
    end
    if(~strcmp(stage,'init') && (g(constseq(i)))>0)
        for j=(i+1):size(constseq,2)
            g(constseq(j))=inf;
        end
        break
    end
end
%Objective function
if(sum(max(g,0)==0)==size(g,2))
    n = length(x);
    f = - (sqrt(n))^n * prod(x);
else
    f=NaN;
end
return
