%% Himmelblau function
function [f,g,x] = g4(x,constseq,stage)
if nargin == 0
    prob.nx = 5;
    prob.nf = 1;
    prob.ng = 6;
    prob.range = cell(1, prob.nx);
    prob.range{1} = Range('range', [78,102]);
    prob.range{2} = Range('range', [33,45]);
    prob.range{3} = Range('range', [27,45]);
    prob.range{4} = Range('range', [27,45]);
    prob.range{5} = Range('range', [27,45]);
    f = prob;
else
    [f,g] = g4_true(double(x),constseq,stage);
end
return


function [f,g] = g4_true(x,constseq,stage)

for i=1:size(constseq,2)
    switch constseq(i)
        case 1
            tmp1 = 85.334407 + 0.0056858*x(2)*x(5) + 0.0006262*x(1)*x(4) - 0.0022053*x(3)*x(5);
            g(1) = -(tmp1);
        case 2
            tmp1 = 85.334407 + 0.0056858*x(2)*x(5) + 0.0006262*x(1)*x(4) - 0.0022053*x(3)*x(5);
            g(2) = -(92 - tmp1);
        case 3
            tmp2 = 80.51249 + 0.0071317*x(2)*x(5) + 0.0029955*x(1)*x(2) + 0.0021813*x(3)^2;
            g(3) = -(tmp2 - 90);
        case 4
            tmp2 = 80.51249 + 0.0071317*x(2)*x(5) + 0.0029955*x(1)*x(2) + 0.0021813*x(3)^2;
            g(4) = -(110 - tmp2);
        case 5
            tmp3 = 9.300961 + 0.0047026*x(3)*x(5) + 0.0012547*x(1)*x(3) + 0.0019085*x(3)*x(4);
            g(5) = -(tmp3 - 20);
        case 6
            tmp3 = 9.300961 + 0.0047026*x(3)*x(5) + 0.0012547*x(1)*x(3) + 0.0019085*x(3)*x(4);
            g(6) = -(25 - tmp3);
    end
    if(~strcmp(stage,'init') && (g(constseq(i)))>0)
    for j=(i+1):size(constseq,2)
    g(constseq(j))=inf;
    end
  break
end
end
%Place the objective function in below
if(sum(max(g,0)==0)==size(g,2))
    f = 5.3578547*x(3)^2 + 0.8356891*x(1)*x(5) + 37.293239*x(1) - 40792.141;
else
    f=NaN;
end
return
